summaryrefslogtreecommitdiff
path: root/t/yaccpp.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/yaccpp.sh')
-rwxr-xr-xt/yaccpp.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/t/yaccpp.sh b/t/yaccpp.sh
index c065a50da..2395b561a 100755
--- a/t/yaccpp.sh
+++ b/t/yaccpp.sh
@@ -19,7 +19,7 @@
# which does much more in-depth checks (but requires an actual
# Yacc program and a working C++ compiler).
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_PROG_CXX
@@ -39,7 +39,7 @@ $AUTOMAKE -a
$EGREP '(\.[ch]|foo|bar|baz|qux)' Makefile.in # For debugging.
-$EGREP '(foo|bar|baz|qux)\.h' Makefile.in && Exit 1
+$EGREP '(foo|bar|baz|qux)\.h' Makefile.in && exit 1
sed -e 's/^/ /' -e 's/$/ /' Makefile.in >mk
@@ -70,12 +70,12 @@ $EGREP '(^| )foo\.h\+\+(:| .*:)' Makefile.in
$EGREP '(^| )bar\.hpp(:| .*:)' Makefile.in
$EGREP '(^| )baz\.hh(:| .*:)' Makefile.in
-grep ' foo\.h[ :]' mk && Exit 1
-grep ' bar\.h[ :]' mk && Exit 1
-grep ' baz\.h[ :]' mk && Exit 1
+grep ' foo\.h[ :]' mk && exit 1
+grep ' bar\.h[ :]' mk && exit 1
+grep ' baz\.h[ :]' mk && exit 1
$FGREP ' qux-qux.cxx ' mk
$EGREP '(^| )qux-qux\.cxx(:| .*:)' Makefile.in
-grep 'qux\.h.*:' Makefile.in && Exit 1
+grep 'qux\.h.*:' Makefile.in && exit 1
: